mine = -0.2; maxe = 0.2;
minu = -1.2; maxu = 1.2;

rls = txt2rls('prop');
mfs = [ mfequ([mine maxe],1,3); ...
        mfequ([minu maxu],1,3);...
];

edom = mine:(maxe-mine)/100:maxe;
udom = minu:(maxu-minu)/100:maxu;

n = size(rls,2);                                 % consequent column index
mask = rls(:,n) < 0;                             % find NOT in rules
sgn = -mask + (rls(:,n) >= 0);                   % not(A) = 1 - A

B = mask*ones(1,length(udom)) + (sgn*ones(1,length(udom))).*mgrade(udom,mfs(abs(rls(:,n)),:));  % make output fuzzy sets

for i = 1 : length(edom)

  dof = dofmin(rls,mfs,edom(i))';
%dof, pause
%  Bb  = impl_lu(dof,B);
  Bb  = impl_bg(dof,B);
  Btot = min(Bb);
  utab(i) = mom(udom,Btot);

end;

%figure(1); plot(edom,utab,'.','markersize',10)
figure(1); plot(edom,utab)
title('Fuzzy Proportional Controller: Input-Output Mapping');
xlabel('Error'); ylabel('Control Input');
